Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class TiltSensor

    java.lang.Object
      lejos.nxt.I2CSensor
          lejos.nxt.TiltSensor

All Implemented Interfaces:
  SensorConstants

    public class TiltSensor

extends I2CSensor

Abstraction for a Mindsensors acceleration (tilt) sensor.

Field Summary

Fields inherited from interface lejos.nxt.SensorConstants
`MODE_ANGLESTEP, MODE_BOOLEAN, MODE_CELSIUS, MODE_FARENHEIT, MODE_PCTFULLSCALE, MODE_PERIODCOUNTER, MODE_RAW, MODE_TRANSITIONCNT, TYPE_ANGLE, TYPE_CUSTOM, TYPE_LIGHT_ACTIVE, TYPE_LIGHT_INACTIVE, TYPE_LOWSPEED, TYPE_LOWSPEED_9V, TYPE_NO_SENSOR, TYPE_REFLECTION, TYPE_SOUND_DB, TYPE_SOUND_DBA, TYPE_SWITCH, TYPE_TEMPERATURE`

Constructor Summary
`TiltSensor(I2CPort port)`

Method Summary
`int` | `getXAccel()` Acceleration along X axis.
`int` | `getXTilt()` Tilt of sensor along X-axis (see top of Mindsensors.com sensor for diagram of axis).
`int` | `getYAccel()` Acceleration along Y axis.
`int` | `getYTilt()` Returns Y tilt value.
`int` | `getZAccel()` Acceleration along Z axis.
`int` | `getZTilt()` Returns Z tilt value.

Methods inherited from class lejos.nxt.I2CSensor
`getData, getPort, getProductID, getSensorType, getVersion, sendData, sendData, setAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### TiltSensor

    public TiltSensor(I2CPort port)

Method Detail

### getXTilt

    public int getXTilt()

  Tilt of sensor along X-axis (see top of Mindsensors.com sensor for diagram of axis). 128 is level.

  Returns:
    X tilt value, or -1 if call failed

### getYTilt

    public int getYTilt()

  Returns Y tilt value.

  Returns:
    Y tilt value, or -1 if call failed

### getZTilt

    public int getZTilt()

  Returns Z tilt value.

  Returns:
    Z tilt value, or -1 if call failed

### getXAccel

    public int getXAccel()

  Acceleration along X axis. Positive or negative values in mg. (g = acceleration due to gravity = 9.81 m/s^2)

  Returns:
    Acceleration e.g. 9810 mg (falling on earth)

### getYAccel

    public int getYAccel()

  Acceleration along Y axis. Positive or negative values in mg. (g = acceleration due to gravity = 9.81 m/s^2)

  Returns:
    Acceleration e.g. 9810 mg (falling on earth)

### getZAccel

    public int getZAccel()

  Acceleration along Z axis. Positive or negative values in mg. (g = acceleration due to gravity = 9.81 m/s^2)

  Returns:
    Acceleration e.g. 9810 mg (falling on earth)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD